lp:ubuntu/trusty-proposed/spice

Created by Ubuntu Package Importer and last modified
Get this branch:
bzr branch lp:ubuntu/trusty-proposed/spice
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

15. By Serge Hallyn

[Gregory Boyce]
Fix newline-damaged patch (LP: #1450043)

14. By Liang Guo <email address hidden>

Fix CVE-2013-4282 (Closes: #728314)

13. By Marc Deslauriers

* SECURITY UPDATE: denial of service via long password in a SPICE ticket
  - debian/patches/CVE-2013-4282.patch: validate password length in
    server/reds.c.
  - CVE-2013-4282

12. By Hideki Yamane

* Non-maintainer upload.
* debian/patches
  - add enable_subdir-objects.patch (Closes: #724093)

11. By Liang Guo <email address hidden>

* New upstream release (Closes: #717030)
* Remove .version after build (Closes: #671627)
* debian/control:
  - Bump Standards-Version to 3.9.4 (no changes)
  - Update VCS-* to use canonical URIs
* debian/patches:
  - fix-tests-warnings.patch, refresh
  - link-server-test-with-libm-libpthread.patch, add (Closes: #713681)
* Refresh libspice-server1.symbols

10. By Liang Guo <email address hidden>

* New upstream release
* debian/patches:
  - fix-build-warning-PIXEL.patch, remove, applied upstream
  - link-libspice-server-with-libm-libpthread.patch, remove,
    applied upstream
  - spice-common-remove-version-construction.patch, remove,
    applied upstream
  - fix-tests-warnings.patch, refresh
  - make-celt-to-be-optional.patch, refresh
* libspice-server-dev should depends on libglib2.0-dev, or
  qxl driver compile will fail.
* Refresh libspice-server1.symbols

9. By Liang Guo <email address hidden>

Upload to unstable

8. By Liang Guo <email address hidden>

* New upstream release
* Breaks spice-gtk (<= 0.12-2)
* Refresh debian/libspice-server1.symbols
* debian/control:
  - Update my e-mail address
  - Add python-pyparsing to Build-Depends
* debian/patches:
  - Remove fix-error-path-return-in-snd_set_record_peer.patch,
    applied upstream
  - Refresh make-celt-to-be-optional.patch
  - Refresh link-libspice-server-with-libm-libpthread.patch
* Simplify debian/rules, celt removed, no reason to use
  traditional one
* Disable smartcard, not in debian yet
* Refresh debian/copyright

7. By Michael Tokarev <email address hidden>

added dependency on libxinerama-dev to
libspice-server-dev, temporarily, till
either upstream or we will have better
solution. libspice-server does not use
xinerama in any way, yet it is listed in
the requiriments in the pkg-config file,
which is generated at configure time.
(Closes: #658173)

6. By Liang Guo

* New upstream release
* Refresh libspice-server1.symbols

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/utopic/spice
This branch contains Public information 
Everyone can see this information.

Subscribers